[linux-dvb] How to determine DVB-S2 capability in S2API?

Andreas Oberritter obi at linuxtv.org
Sun Nov 23 13:04:32 CET 2008


Michel Verbraak wrote:
> I have the same problem with diseqc version. There is no request we can 
> do to determine which version is supported by te device. This was 
> allready missing in V3 of the API.

FE_DISEQC_RECV_SLAVE_REPLY sets errno to EOPNOTSUPP if DiSEqC 2.x is
not supported by the device driver. Set slave_reply->timeout to 0 to
avoid blocking.

Have you ever seen a switch, LNB, motor or other satellite equipment
which actually provides useful data via DiSEqC 2.x?

Regards,
Andreas



More information about the linux-dvb mailing list